Get bill
curl --request GET \
--url https://api.prod.finverse.net/bills/{billId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/bills/{billId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/bills/{billId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bill_date": "2023-11-07T05:31:56Z",
"bill_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"customer_app_id": "<string>",
"details": {
"bill_reference_id": "<string>",
"currency": "<string>",
"total_amount_due": 123,
"description": "<string>"
},
"due_date": "2023-11-07T05:31:56Z",
"external_bill_id": "<string>",
"external_user_id": "<string>",
"integration_id": "<string>",
"integration_metadata": {
"integration_id": "<string>",
"rapidstor_metadata": {
"account_token": "<string>",
"corp_code": "<string>",
"d_sched_out": "<string>",
"i_anniv_days": 123,
"i_lease_num": "<string>",
"ledger_id": "<string>",
"s_location_code": "<string>",
"s_unit_name": "<string>",
"tenant_default_currency": "<string>",
"tenant_id": "<string>",
"unit_id": "<string>",
"unit_type_id": "<string>"
}
},
"is_finverse_autopay_eligible": true,
"sender_details": {
"name": "<string>"
},
"status": "UNKNOWN",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"payments": [
{
"amount": 100,
"amount_total_with_surcharge": 100,
"surcharge_amount": 100,
"created_at": "2023-11-07T05:31:56Z",
"currency": "HKD",
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"type": "LINKING_ERROR"
},
"fees": [
{
"amount": 100,
"currency": "HKD",
"paid_by": "RECIPIENT",
"paid_by_account_id": "The payment account ID"
}
],
"metadata": {},
"payment_details": {
"collection_entity_name": "<string>",
"description": "<string>",
"external_transaction_reference": "<string>",
"mandate_id": "<string>",
"processor_details": {
"auth_code": "<string>",
"processor_id": "<string>",
"processor_reference": "<string>",
"result": {
"decline_code": "<string>",
"decline_reason": "<string>",
"last_action": "<string>",
"result_code": "<string>",
"status": "<string>"
},
"scheme": "<string>",
"virtual_account_bank_code": "<string>",
"virtual_account_number": "<string>"
},
"processor_entity_name": "<string>",
"recurring_payment_mode": "<string>",
"references": {
"bank_transaction_reference": "<string>",
"dda_reference": "<string>",
"finverse_transaction_reference": "<string>"
},
"transaction_reference_id": "<string>"
},
"payment_id": "<string>",
"payment_method": {
"bank_transfer": {
"bank_transfer_details": {
"transfer_type": "PayNow"
},
"risk_data": {
"processor_risk_data": {
"browser_type": "Chrome",
"device_type": "Desktop",
"shopper_country": "HK",
"shopper_ip": "127.0.0.1",
"shopper_locale": "en-HK"
}
}
},
"card": {
"card_details": {
"acquirer_authorization_reference": "524506894419",
"brand": "VISA",
"brand_product_name": "visacommercialpremiumcredit",
"card_number_alias": "F046886807590403",
"collection_entity_name": "<string>",
"country": "HK",
"expiry_month": 7,
"expiry_year": 2028,
"fingerprint": "V0010013822052427221044754993",
"finverse_authorization_reference": "<string>",
"funding": "UNKNOWN",
"is_commercial": true,
"last4": "1234",
"processor_details": {
"auth_code": "<string>",
"network_transaction_reference": "<string>",
"processor_id": "<string>",
"processor_reference": "<string>",
"token_id": "<string>"
},
"processor_entity_name": "<string>",
"recurring_payment_mode": "<string>"
}
},
"wallet": {
"risk_data": {
"processor_risk_data": {
"browser_type": "Chrome",
"device_type": "Desktop",
"shopper_country": "HK",
"shopper_ip": "127.0.0.1",
"shopper_locale": "en-HK"
}
},
"wallet_details": {
"brand": "Alipay",
"brand_product_name": "alipay_hk",
"country": "HK"
}
}
},
"payment_method_id": "<string>",
"recipient": {
"name": "<string>"
},
"recipient_account": {
"account_id": "<string>",
"account_type": "SETTLEMENT_ACCOUNT"
},
"sender": {
"external_user_id": "<string>",
"user_id": "<string>",
"user_type": "INDIVIDUAL",
"name": "<string>",
"user_details": [
{
"details_type": "HK_ID",
"values": [
"<string>"
]
}
]
},
"sender_account": {
"account_id": "sender_account_id",
"account_number": {
"number": "<string>",
"type": "LOCAL",
"number_plaintext": "<string>"
},
"account_number_masked": "<string>",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01EP4A1MZDHKETZFRPF0K62S6S",
"accountholder_name_plaintext": "Chan Li Pak",
"bank_code": "<string>",
"institution_id": "hsbc-hk",
"institution_name": "HSBC",
"metadata": {},
"user_id": "01GY6H0JA7BS8EVGY56NSHFX2E"
},
"status": "AUTHORIZATION_REQUIRED",
"type": "MANDATE",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}Bills
Get bill
Get a bill by ID
GET
/
bills
/
{billId}
Get bill
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
UNKNOWN, UNPAID, PAID, CANCELLED, FAILED Show child attributes
Show child attributes
Show child attributes
Show child attributes